using Godot;
using System.Reflection;
using System.Collections.Generic;
using System.Text;
using System;

namespace Rokojori
{ 
  public abstract class AudioEvent<T> : AudioConnection
  {
    protected List<T> _events = new List<T>();

    public AudioEvent( AudioProcessor p, bool isInput ):base( p, isInput )
    { 
    } 

    public override void Clear()
    {
      _events.Clear();
    }
  }
}